Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.opensymphony.xwork2.validator.annotations
Enum ValidatorType

    java.lang.Object
      java.lang.Enum<ValidatorType>
          com.opensymphony.xwork2.validator.annotations.ValidatorType

All Implemented Interfaces:
  Serializable, Comparable<ValidatorType>

    public enum ValidatorType

extends Enum<ValidatorType>

`ValidatorType`

Version:
  $Id: ValidatorType.java 1187 2006-11-13 08:05:32Z mrdon $
Author:
  Rainer Hermanns

Enum Constant Summary
`FIELD`
`SIMPLE`

Method Summary
`String` | `toString()`
`static ValidatorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ValidatorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FIELD

    public static final ValidatorType FIELD

### SIMPLE

    public static final ValidatorType SIMPLE

Method Detail

### values

    public static final ValidatorType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ValidatorType c : ValidatorType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ValidatorType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<ValidatorType>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.